package org.jivesoftware.smack;

public interface ConnectionListener {
   void connected(XMPPConnection var1);

   void authenticated(XMPPConnection var1, boolean var2);

   void connectionClosed();

   void connectionClosedOnError(Exception var1);

   void reconnectionSuccessful();

   void reconnectingIn(int var1);

   void reconnectionFailed(Exception var1);
}
